Home > Element Reference : Progressmeter

Contents

### Progressmeter

A meter which can be used to display the progress of a lengthy operation. It is drawn as a bar that is filled as the operation completes. In addition, a non-deterministic progressmeter may be created by setting the mode attribute. This is used when the length of time to complete an operation is not known beforehand.

More information about Progressmeter

Example:

        <progressmeter mode="determined" value="50%"/>

#### Attributes:

Attributes inherited from XUL Element

mode

A determined progressmeter is used in cases where you know how long an operation will take. Undeterminate progressmeters can be used when you don't and will typically be drawn as a animating barber pole.

- determined: The progress meter uses its value attribute to determine the amount of the bar that is filled in.
- undetermined: The progressmeter is undeterminate.

value

A percentage value that specifies the amount of the meter that is filled in. Because it is a percentage, it ranges from 0 to 100.

#### Properties and Methods:

Properties and Methods inherited from XUL Element

mode

Gets and sets the value of the mode attribute.

value

A percentage value that specifies the amount of the meter that is filled in. Because it is a percentage, it ranges from 0 to 100.

Copyright (C) 1999 - 2002 XULPlanet.com